#include <amxmodx>
#include <hnsxp>

// =================================================
// BEGIN EDITING HERE
// =================================================

// The xp amount required to buy the first level

#define FIRST_XP_ITEM1			100
#define FIRST_XP_ITEM2			100

// The xp interval between levels
// Use a positive value for your own interval.
// Use XP_INTERVAL_NONE for the "first_xp" value as each interval.
// Use XP_INTERVAL_EXPONENTIAL for the xp to double for each level. (default)

#define INTERVAL_ITEM1			XP_INTERVAL_EXPONENTIAL
#define INTERVAL_ITEM2			XP_INTERVAL_EXPONENTIAL

// The maximum level for each item

#define MAX_LEVEL_ITEM1			8
#define MAX_LEVEL_ITEM2			8

// The maximum value possible for this item (happens when player has maximum level)

#define MAX_VALUE_ITEM1			100
#define MAX_VALUE_ITEM2			100

// =================================================
// STOP EDITING HERE
// =================================================

new const g_ability_descs[][] =
{
	"This is line 1 of the ability description.",
	"This is line 2. These strings should give a summary of what this ability does.",
	"And perhaps also talk about the different items of the ability."
};

enum _:Items
{
	ITEM_ITEM1,
	ITEM_ITEM2
};

new const g_item_name[Items][] =
{
	"Item Name #1",
	"Item Name #2"
};

new const g_item_save_name[Items][] =
{
	"abilityname_itemname1",
	"abilityname_itemname2"
};

new const g_item_value_type[Items][] =
{
	"%",
	" HP"
};

new const g_item_first_xp[Items] =
{
	FIRST_XP_ITEM1,
	FIRST_XP_ITEM2
};

new const g_item_xp_interval[Items] =
{
	INTERVAL_ITEM1,
	INTERVAL_ITEM2
};

new const g_item_max_level[Items] =
{
	MAX_LEVEL_ITEM1,
	MAX_LEVEL_ITEM2
};

new const g_item_max_value[Items] =
{
	MAX_VALUE_ITEM1,
	MAX_VALUE_ITEM2
};

new g_ability_pointer;
new g_item_pointer[Items];

new g_level[33][Items];

public plugin_init()
{
	register_plugin("HNSXP Ability - AbilityName", HNSXP_VERSION, "Exolent");
	
	g_ability_pointer = hnsxp_register_ability("AbilityName");
	
	for( new i = 0; i < Items; i++ )
	{
		g_item_pointer[i] = hnsxp_register_item(g_ability_pointer,\
			g_item_name[i],\
			g_item_save_name[i],\
			g_item_value_type[i],\
			g_item_first_xp[i],\
			g_item_xp_interval[i],\
			g_item_max_level[i],\
			g_item_max_value[i]
		);
	}
	
	for( new i = 0; i < sizeof(g_ability_descs); i++ )
	{
		hnsxp_describe_ability(g_ability_pointer, g_ability_descs[i]);
	}
}

public hnsxp_update_user_level(const ability, const item, const client, const level)
{
	if( ability == g_ability_pointer )
	{
		for( new i = 0; i < Items; i++ )
		{
			if( g_item_pointer[i] == item )
			{
				g_level[client][i] = level;
				break;
			}
		}
	}
}
/* AMXX-Studio Notes - DO NOT MODIFY BELOW HERE
*{\\ rtf1\\ ansi\\ deff0{\\ fonttbl{\\ f0\\ fnil Tahoma;}}\n\\ viewkind4\\ uc1\\ pard\\ lang1033\\ f0\\ fs16 \n\\ par }
*/
